## kscreen 1.0.2.1

=== CMakeLists.txt ===
project(kscreen)

set(KSCREEN_VERSION 1.0.2.1)
set(KSCREEN_STR_VERSION \"${KSCREEN_VERSION}\")

add_definitions("-DKSCREEN_VERSION=\\\"${KSCREEN_VERSION}\\\"")


cmake_minimum_required(VERSION 2.6)

find_package(Qt4 REQUIRED)
find_package(KDE4 REQUIRED)
find_package(LibKScreen 1.0.2 REQUIRED)
find_package(QJSON 0.8 REQUIRED)

include(MacroLibrary)
include(KDE4Defaults)

include_directories(
    ${QT_INCLUDES}
    ${KDE4_INCLUDES}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${QJSON_INCLUDE_DIR}
    ${LibKScreen_INCLUDE_DIR}
)

add_subdirectory(icons)
add_subdirectory(kcm)
add_subdirectory(plasma)
add_subdirectory(kded)
add_subdirectory(tests)
add_subdirectory(console)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(zh_TW)
add_subdirectory(fi)
add_subdirectory(sv)
add_subdirectory(tr)
add_subdirectory(uk)
add_subdirectory(bs)
add_subdirectory(sk)
add_subdirectory(zh_CN)
add_subdirectory(ca)
add_subdirectory(da)
add_subdirectory(ug)
add_subdirectory(de)
add_subdirectory(et)
add_subdirectory(hu)
add_subdirectory(ru)
add_subdirectory(it)
add_subdirectory(ga)
add_subdirectory(es)
add_subdirectory(el)
add_subdirectory(lt)
add_subdirectory(cs)
add_subdirectory(pt_BR)
add_subdirectory(sl)
add_subdirectory(pt)
add_subdirectory(gl)
add_subdirectory(nl)
add_subdirectory(fr)
add_subdirectory(ro)
add_subdirectory(mr)

=== kcm/qml/CMakeLists.txt ===
set(QML_FILES
    main.qml
    IconButton.qml
    OutputView.qml
    Output.qml
    OutputIdentifier.qml
    OutputControls.qml
    Tip.qml

    OutputView.js
)

set(QML_PLASMACOMPONENTS_FILES
    plasmacomponents/Dialog.qml
)

set(QML_PLASMACOMPONENTS_PRIVATE_FILES
    plasmacomponents/private/InlineDialog.qml
    plasmacomponents/private/AppManager.js
)

install(FILES ${QML_FILES} DESTINATION ${DATA_INSTALL_DIR}/kcm_kscreen/qml)
install(FILES ${QML_PLASMACOMPONENTS_FILES} DESTINATION ${DATA_INSTALL_DIR}/kcm_kscreen/qml/plasmacomponents)
install(FILES ${QML_PLASMACOMPONENTS_PRIVATE_FILES} DESTINATION ${DATA_INSTALL_DIR}/kcm_kscreen/qml/plasmacomponents/private)

=== po/it/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(it ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

## kscreen 0.0.71

=== debian/changelog ===
kscreen (0.0.71-0ubuntu1) raring; urgency=low

  * Initial release

 -- Achim Bohnet <allee@kubuntu.org>  Mon, 21 Jan 2013 00:22:05 +0100

=== debian/control ===
Source: kscreen
Section: kde
Priority: extra
Maintainer: Achim Bohnet <allee@kubuntu.org>
Build-Depends: debhelper (>= 8.0.0), cmake, kdelibs5-dev, libkscreen-dev, libqjson-dev (>= 0.8), libxrandr-dev
Standards-Version: 3.9.4
Homepage: https://projects.kde.org/projects/playground/base/kscreen
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kscreen
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kscreen

Package: kscreen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE monitor hotplug and screen handling
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the modules and plugins for monitor hotplut and
 automatic screen handling.

Package: kscreen-dbg
Section: debug
Architecture: any
Recommends: kdelibs5-dbg
Depends: ${misc:Depends}, kscreen (= ${binary:Version})
Description: KDE monitor hotplug and screen handling, debug info
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the debugging symbols.

## kscreen 0.0.81

=== debian/changelog ===
kscreen (0.0.81-0ubuntu2) raring; urgency=low

  * Add upstream_l10n.patch adding translations (mostly entire po files)
    that were not part of the original release as the used release script
    was rubbish.

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 17 Apr 2013 14:01:59 +0200

kscreen (0.0.81-0ubuntu1) raring; urgency=low

  * New upstream release candidate 
  * Set maintainer to Kubuntu Developers

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Mar 2013 21:38:07 +0100

kscreen (0.0.71+git20130311-0ubuntu1) raring; urgency=low

  * New upstream snapshot. 
  * Make build-depends libkscreen (>= 0.0.71+git20130311 so it can build

 -- Howard Chan <smartboyhw@gmail.com>  Mon, 11 Mar 2013 21:24:40 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: kscreen
 Section: kde
 Priority: extra
-Maintainer: Achim Bohnet <allee@kubuntu.org>
-Build-Depends: debhelper (>= 8.0.0), cmake, kdelibs5-dev, libkscreen-dev, libqjson-dev (>= 0.8), libxrandr-dev
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Achim Bohnet <allee@kubuntu.org>
+Build-Depends: debhelper (>= 8.0.0), cmake, kdelibs5-dev, libkscreen-dev (>= 0.0.71+git20130311), libqjson-dev (>= 0.8), libxrandr-dev
 Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/playground/base/kscreen
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kscreen

## kscreen 1.0.1

=== debian/changelog ===
kscreen (1.0.1-0ubuntu1~ubuntu13.04.1) raring-proposed; urgency=low

  * SRU for raring (LP: #1208413)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 05 Aug 2013 21:34:41 +0530

kscreen (1.0.1-0ubuntu1) saucy; urgency=low

  * New upstream release. (LP: #1208413)
  * Make sure it compiles with libkscreen >= 1.0.1.

 -- Howard Chan <smartboyhw@gmail.com>  Sun, 04 Aug 2013 18:33:33 +0800

kscreen (1.0-0ubuntu1) saucy; urgency=low

  * New upstream release. (LP: #1194491)

 -- Howard Chan <smartboyhw@gmail.com>  Tue, 25 Jun 2013 22:18:18 +0800

kscreen (0.0.92-0ubuntu2) saucy; urgency=low

  * No change rebuild against updated libkscreen

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 08 May 2013 16:11:10 +0100

kscreen (0.0.92-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1177333)
    - Drop upstream_l10n.patch, included upstream
    - Bump libkscreen-dev Build Depend to 0.0.92

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 07 May 2013 00:17:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Achim Bohnet <allee@kubuntu.org>
-Build-Depends: debhelper (>= 8.0.0), cmake, kdelibs5-dev, libkscreen-dev (>= 0.0.71+git20130311), libqjson-dev (>= 0.8), libxrandr-dev
+Build-Depends: debhelper (>= 8.0.0), cmake, kdelibs5-dev, libkscreen-dev (>= 1.0.1), libqjson-dev (>= 0.8), libxrandr-dev
 Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/playground/base/kscreen
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kscreen

=== debian/watch ===
# See uscan(1) for format
version=3
ftp://ftp.kde.org/pub/kde/unstable/kscreen/([\d\.]+)/src/kscreen-(.*)\.tar\.bz2

## kscreen 1.0.2.1

=== debian/changelog ===
kscreen (1.0.2.1-1) unstable; urgency=low

  [ Rohan Garg ]
  * Initial release (Closes: #730356)

  [ Maximiliano Curia ]
  * Add autopkgtests.
  * New patch: add_switchDisplayTwoScreensNoCommonMode_json

 -- Maximiliano Curia <maxy@debian.org>  Fri, 21 Feb 2014 01:46:40 +0100

=== debian/control ===
Source: kscreen
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Felix Geyer <fgeyer@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
           Rohan Garg <rohan@kde.org>
Build-Depends: debhelper (>= 9),
               pkg-kde-tools,
               cmake,
               kdelibs5-dev,
               libkscreen-dev (>= 1.0.2),
               libqjson-dev (>= 0.8),
               libxrandr-dev
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/extragear/base/kscreen
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kscreen.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kscreen.git

Package: kscreen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE monitor hotplug and screen handling
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the modules and plugins for monitor hotplut and
 automatic screen handling.

Package: kscreen-dbg
Section: debug
Priority: extra
Architecture: any
Recommends: kdelibs5-dbg
Depends: ${misc:Depends}, kscreen (= ${binary:Version})
Description: KDE monitor hotplug and screen handling, debug info
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@ --with kde --parallel

override_dh_auto_test:
	# requires an X server

override_dh_auto_install:
	dh_auto_install --destdir=debian/kscreen/

override_dh_strip:
	dh_strip --dbg-package=kscreen-dbg

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kscreen/([\d\.]+)/src/kscreen-(.*)\.tar\.xz

## kscreen 5.2.2

=== debian/changelog ===
kscreen (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:21:29 -0700

kscreen (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:40:46 -0800

kscreen (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:53:31 +0100

kscreen (4:5.1.95-0ubuntu2) vivid; urgency=medium

  * version build-dep on libkf5screen-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Jan 2015 12:34:26 +0100

kscreen (4:5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:30:43 +0100

kscreen (2.0.0~git20140827-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Update packaging for frameworks branch
  * Git snapshot of the frameworks branch

  [ Jonathan Riddell ]
  * Remove kscreen-console.1 manpage which is out of date

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 20 Aug 2014 08:35:15 -0700

kscreen (1.0.2.1-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Update debian/watch
  * Bump b-dep on libkscreen-dev to (>= 1.0.2)

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 23 Nov 2013 06:31:01 +1100

=== debian/control ===
Source: kscreen
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Felix Geyer <fgeyer@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
           Rohan Garg <rohan@kde.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.0.0),
               libkf5globalaccel-dev (>= 5.1.0),
               libkf5screen-dev (>= 5.1.95),
               libkf5xmlgui-dev (>= 5.1.0),
               libqjson-dev,
               libqt5x11extras5-dev,
               libxrandr-dev,
               pkg-kde-tools (>= 0.15.14),
               plasma-framework-dev (>= 5.1.0),
               qtbase5-dev,
               qtdeclarative5-dev
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/extragear/base/kscreen
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kscreen.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kscreen.git

Package: kscreen
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE monitor hotplug and screen handling
 KScreen provides multiple monitor support.  This support tries to be
 as smart as possible adapting the behavior of it to each use case
 making the configuration of monitors as simple as plugging them into
 your computer.
 .
 This package contains the modules and plugins for monitor hotplug and
 automatic screen handling.

Package: kscreen-dbg
Section: debug
Priority: extra
Architecture: any
Depends: kscreen (= ${binary:Version}), ${misc:Depends}
Description: KDE monitor hotplug and screen handling - debug info
 KScreen provides multiple monitor support.  This support tries to be
 as smart as possible adapting the behavior of it to each use case
 making the configuration of monitors as simple as plugging them into
 your computer.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kscreen-dbg

.PHONY: override_dh_auto_test

=== debian/watch ===
# See uscan(1) for format
version=3
# Not released. Git frameworks branch only.

## kscreen 5.3.0

=== debian/changelog ===
kscreen (4:5.3.0-0tanglu1) staging; urgency=medium

  * Upload for Tanglu

 -- Matthias Klumpp <mak@debian.org>  Tue, 28 Apr 2015 19:28:25 +0200

kscreen (4:5.3.0-0ubuntu1~ubuntu15.04~ppa1) vivid; urgency=medium

  * Plasma 5.3 beta
  * new upstream release
  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 Apr 2015 17:01:37 +0200

## kscreen 5.4.2

=== debian/changelog ===
kscreen (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:54:37 +0100

kscreen (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:16:55 +0100

kscreen (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:50:43 +0100

kscreen (4:5.3.95-0ubuntu2) wily; urgency=medium

  * Bump build-dep of libkf5screen-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Aug 2015 13:45:06 +0200

kscreen (4:5.3.95-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:14:41 +0200

kscreen (4:5.3.2-0ubuntu2) wily; urgency=medium

  * Add kubuntu_disable-test.diff to disable failing test

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 13 Jul 2015 13:37:40 +0200

kscreen (4:5.3.2-0ubuntu1) UNRELEASED; urgency=medium

  * Vivid backport

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 02 Jul 2015 11:38:42 -0700

kscreen (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:28:35 +0000

kscreen (4:5.3.1-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * Plasma 5.3 beta
  * new upstream release

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:31:37 +0200

kscreen (4:5.3.1-1~) UNRELEASED; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 11:54:30 +0200

kscreen (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:25 +0100

kscreen (4:5.2.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Feb 2015 22:04:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,28 +5,33 @@
 Uploaders: Felix Geyer <fgeyer@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
            Rohan Garg <rohan@kde.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.0.0),
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 1.6.0~),
+               libkf5configwidgets-dev (>= 5.1.0),
+               libkf5dbusaddons-dev (>= 5.1.0),
                libkf5globalaccel-dev (>= 5.1.0),
-               libkf5screen-dev (>= 5.1.95),
+               libkf5i18n-dev,
+               libkf5screen-dev (>= 4:5.4.2~),
                libkf5xmlgui-dev (>= 5.1.0),
                libqjson-dev,
-               libqt5x11extras5-dev,
+               libqt5x11extras5-dev (>= 5.4),
                libxrandr-dev,
-               pkg-kde-tools (>= 0.15.14),
-               plasma-framework-dev (>= 5.1.0),
-               qtbase5-dev,
-               qtdeclarative5-dev
-Standards-Version: 3.9.5
+               pkg-kde-tools (>= 0.15.16),
+               qtbase5-dev (>= 5.4),
+               qtdeclarative5-dev (>= 5.4)
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
-Homepage: https://projects.kde.org/projects/extragear/base/kscreen
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kscreen.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kscreen.git
+Homepage: https://projects.kde.org/projects/kde/workspace/kscreen
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-extras/kscreen.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kscreen.git
 
 Package: kscreen
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: plasma-framework,
+         qml-module-qtgraphicaleffects,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: KDE monitor hotplug and screen handling
  KScreen provides multiple monitor support.  This support tries to be
  as smart as possible adapting the behavior of it to each use case

## kscreen 5.5.5

=== CMakeLists.txt ===
project(KScreen)
set(PROJECT_VERSION "5.5.5")

cmake_minimum_required(VERSION 2.8.12)

set(KSCREEN_VERSION ${PROJECT_VERSION})

add_definitions("-DKSCREEN_VERSION=\"${KSCREEN_VERSION}\"")

find_package(ECM 1.6.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

find_package(Qt5 REQUIRED COMPONENTS QuickWidgets Test)
find_package(KF5 REQUIRED COMPONENTS DBusAddons Config ConfigWidgets I18n XmlGui GlobalAccel WidgetsAddons)

set(MIN_LIBKSCREEN_VERSION "5.2.91")
find_package(KF5Screen ${MIN_LIBKSCREEN_VERSION} REQUIRED)

include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(FeatureSummary)


add_subdirectory(icons)
add_subdirectory(kcm)
#add_subdirectory(plasma)
add_subdirectory(kded)
add_subdirectory(tests)
add_subdirectory(console)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== icons/CMakeLists.txt ===
ecm_install_icons( ${ICON_INSTALL_DIR} )

=== kded/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kscreen\")

include_directories(${CMAKE_CURRENT_BINARY_DIR}/../)

set(kscreen_daemon_SRCS
    debug.cpp
    daemon.cpp
    serializer.cpp
    generator.cpp
    device.cpp
)

qt5_add_dbus_interface(kscreen_daemon_SRCS
    org.freedesktop.DBus.Properties.xml
    freedesktop_interface)
qt5_add_dbus_adaptor(kscreen_daemon_SRCS
    org.kde.KScreen.xml
    daemon.h
    KScreenDaemon
)

add_library(kscreen MODULE ${kscreen_daemon_SRCS})

target_link_libraries(kscreen Qt5::Widgets Qt5::DBus KF5::Screen KF5::DBusAddons KF5::I18n KF5::XmlGui KF5::GlobalAccel)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/kscreen.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/kscreen.desktop
               @ONLY)

kcoreaddons_desktop_to_json(kscreen ${CMAKE_CURRENT_BINARY_DIR}/kscreen.desktop)

install(TARGETS kscreen DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kded)

=== tests/kded/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_BINARY_DIR}
)

macro(ADD_KDED_TEST testname)
    set(test_SRCS
        ${testname}.cpp
        ${CMAKE_SOURCE_DIR}/kded/generator.cpp
        ${CMAKE_SOURCE_DIR}/kded/device.cpp
        ${CMAKE_SOURCE_DIR}/kded/debug.cpp
        ${CMAKE_SOURCE_DIR}/kded/serializer.cpp
        #${CMAKE_SOURCE_DIR}/kded/daemon.cpp
    )

    qt5_add_dbus_interface(test_SRCS
        ${CMAKE_SOURCE_DIR}/kded/org.freedesktop.DBus.Properties.xml
        freedesktop_interface
    )

    add_executable(${testname} ${test_SRCS})
    add_dependencies(${testname} kded_kscreen) # make sure the dbus interfaces are generated
    target_compile_definitions(${testname} PRIVATE "-DTEST_DATA=\"${CMAKE_CURRENT_SOURCE_DIR}/\"")
    target_link_libraries(${testname} Qt5::Test Qt5::DBus Qt5::Gui KF5::Screen)
    add_test(kscreen-kded-${testname} ${testname})
    ecm_mark_as_test(${testname})
endmacro()

add_kded_test(testgenerator)
add_kded_test(serializertest)
#add_kded_test(testdaemon)

=== debian/changelog ===
kscreen (4:5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 13:41:23 -0700

kscreen (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. 
  * Fix control file merge. 
  * New upstream release Xenial

  [ Clive Johnston ]
  * new upstream release
  * New upstream release
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:22:38 +0100

kscreen (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:31:43 +0100

kscreen (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:45:44 +0100

kscreen (4:5.4.2-1) unstable; urgency=medium

  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 09:22:13 +0200

kscreen (4:5.4.2-0ubuntu1) UNRELEASED; urgency=medium

  * Vivid backport

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 05 Oct 2015 11:45:09 -0700

kscreen (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:45:03 +0200

kscreen (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 04 Sep 2015 09:12:06 +0200

kscreen (4:5.3.2-4) unstable; urgency=high

  * Team upload.
  * Fix spelling of qml-module-qtgraphicaleffects

 -- Scott Kitterman <scott@kitterman.com>  Sun, 26 Jul 2015 18:44:47 -0400

kscreen (4:5.3.2-3) unstable; urgency=high

  * Team upload.
  * High urgency for RC bug fix for stretch
  * Add missing depends on plasma-framework and qml-module-graphicaleffects
    (Closes: #791437)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 26 Jul 2015 14:52:54 -0400

kscreen (4:5.3.2-2) unstable; urgency=medium

  * Team upload
  * Add kde-cli-tools to depends for kcmshell5 (Closes: #791340)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 12 Jul 2015 13:09:32 -0400

kscreen (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).
  * New upstream release (5.3.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 01 Jul 2015 12:31:53 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,15 @@
            Rohan Garg <rohan@kde.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.6.0~),
-               libkf5configwidgets-dev (>= 5.1.0),
-               libkf5dbusaddons-dev (>= 5.1.0),
-               libkf5globalaccel-dev (>= 5.1.0),
-               libkf5i18n-dev,
-               libkf5screen-dev (>= 4:5.4.2~),
-               libkf5xmlgui-dev (>= 5.1.0),
+               extra-cmake-modules (>= 5.18.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5configwidgets-dev (>= 5.18.0~),
+               libkf5dbusaddons-dev (>= 5.18.0~),
+               libkf5globalaccel-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5screen-dev (>= 4:5.5.5~),
+               libkf5widgetsaddons-dev (>= 5.18.0~),
+               libkf5xmlgui-dev (>= 5.18.0~),
                libqjson-dev,
                libqt5x11extras5-dev (>= 5.4),
                libxrandr-dev,
@@ -21,14 +23,14 @@
                qtbase5-dev (>= 5.4),
                qtdeclarative5-dev (>= 5.4)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/kde/workspace/kscreen
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-extras/kscreen.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kscreen.git
 
 Package: kscreen
 Architecture: any
-Depends: plasma-framework,
+Depends: kde-cli-tools,
+         plasma-framework,
          qml-module-qtgraphicaleffects,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,6 @@
 override_dh_strip:
 	$(overridden_command) --dbg-package=kscreen-dbg
 
-.PHONY: override_dh_auto_test
+override_dh_auto_test:
+	# Disable dh_auto_test at build time
+	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, xserver-xephyr, libkf5service-bin
Restrictions: build-needed

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d.]+)/kscreen-([\d.]+).tar.xz
http://download.kde.org/stable/plasma/([\d.]+)/kscreen-([\d.]+).tar.xz

## kscreen 5.7.5

=== debian/changelog ===
kscreen (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:26:53 -0500

kscreen (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:05:28 +0000

kscreen (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.6.5)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 20:45:21 +0100

kscreen (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:18:40 -0700

=== debian/control ===
--- 
+++ 
@@ -7,25 +7,25 @@
            Rohan Garg <rohan@kde.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               libkf5config-dev (>= 5.18.0~),
-               libkf5configwidgets-dev (>= 5.18.0~),
-               libkf5dbusaddons-dev (>= 5.18.0~),
-               libkf5globalaccel-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5screen-dev (>= 4:5.5.5~),
-               libkf5widgetsaddons-dev (>= 5.18.0~),
-               libkf5xmlgui-dev (>= 5.18.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5configwidgets-dev (>= 5.24.0~),
+               libkf5dbusaddons-dev (>= 5.24.0~),
+               libkf5globalaccel-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5screen-dev (>= 4:5.7.5~),
+               libkf5widgetsaddons-dev (>= 5.24.0~),
+               libkf5xmlgui-dev (>= 5.24.0~),
                libqjson-dev,
-               libqt5x11extras5-dev (>= 5.4),
+               libqt5x11extras5-dev (>= 5.6.1~),
                libxrandr-dev,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.4)
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/kscreen
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-extras/kscreen.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kscreen.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreen
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreen
 
 Package: kscreen
 Architecture: any

## kscreen 5.8.2

=== debian/changelog ===
kscreen (4:5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:26:20 +0200

kscreen (4:5.8.1-1) unstable; urgency=medium

  * New upstream release (5.8.1)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 23:00:47 +0200

kscreen (4:5.8.0-2) unstable; urgency=medium

  * Bump libkf5screen-dev build dependency version (Closes: 840067)
    Thanks to Chris Lamb for the report

 -- Maximiliano Curia <maxy@debian.org>  Sat, 08 Oct 2016 10:53:47 +0200

kscreen (4:5.8.0-1) unstable; urgency=medium

  * New upstream release (5.8.0)
  * Replace dbus-launch with dbus-run-session in tests

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:08:34 +0200

kscreen (4:5.7.4-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.7.4)

  [ Pino Toscano ]
  * Remove unused libqjson-dev build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 27 Aug 2016 00:11:42 +0200

kscreen (4:5.7.0-1) unstable; urgency=medium

  * Update install files
  * Revert "Update install files"

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Jul 2016 19:52:48 +0200

kscreen (4:5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 11:01:17 +0200

kscreen (4:5.6.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 20:00:42 +0200

kscreen (4:5.6.4-1) experimental; urgency=medium

  [ Rohan Garg ]
  * Make sure kscreen depends on libkf5screen-bin.

  [ Maximiliano Curia ]
  * Bump build dependency of the libkscreen version, drop libkf5screen-bin
    dependency, it's part of libkscreen's symbols file.
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Force installing in debian/tmp
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * debian/control: Update Vcs-Browser and Vcs-Git fields

  [ Automatic packaging ]
  * Refresh patches
  * Bump Standards-Version to 3.9.8
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 May 2016 10:31:19 +0200

kscreen (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:48:53 +0100

=== debian/control ===
Source: kscreen
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Felix Geyer <fgeyer@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
           Rohan Garg <rohan@kde.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.6.0~),
               libkf5config-dev,
               libkf5configwidgets-dev (>= 5.1.0),
               libkf5dbusaddons-dev (>= 5.1.0),
               libkf5globalaccel-dev (>= 5.1.0),
               libkf5i18n-dev,
               libkf5screen-dev (>= 4:5.8),
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev (>= 5.1.0),
               libqt5x11extras5-dev (>= 5.4),
               libxrandr-dev,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kscreen
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/kscreen.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/kscreen.git

Package: kscreen
Architecture: any
Depends: kde-cli-tools,
         plasma-framework,
         qml-module-qtgraphicaleffects,
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE monitor hotplug and screen handling
 KScreen provides multiple monitor support.  This support tries to be
 as smart as possible adapting the behavior of it to each use case
 making the configuration of monitors as simple as plugging them into
 your computer.
 .
 This package contains the modules and plugins for monitor hotplug and
 automatic screen handling.

## kscreen 5.8.5

=== debian/changelog ===
kscreen (4:5.8.5-2) unstable; urgency=medium

  * Add upower as a recommends.
    Thanks to Éter for reporting (Closes: 853171)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 13 Mar 2017 14:20:57 +0100

kscreen (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:16 +0100

kscreen (4:5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:35:52 +0100

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
          qml-module-qtgraphicaleffects,
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: upower
 Description: KDE monitor hotplug and screen handling
  KScreen provides multiple monitor support.  This support tries to be
  as smart as possible adapting the behavior of it to each use case

## kscreen 5.9.4

=== debian/changelog ===
kscreen (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 19:58:30 +0000

kscreen (4:5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:52:24 +0000

kscreen (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:05:30 +0000

kscreen (4:5.9.1-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:20:24 +0000

kscreen (4:5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:55:30 +0000

kscreen (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:45:19 +0000

kscreen (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Create HOME for testsuite

  [ Simon Quigley ]
  * New upstream release (5.8.3)

  [ Rik Mills ]
  * Merge from debian
  * New upstream release (5.8.4)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:54:50 +0000

## kscreen 5.9.5

=== debian/changelog ===
kscreen (4:5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:16:30 +0100

=== debian/control ===
Source: kscreen
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Felix Geyer <fgeyer@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
           Rohan Garg <rohan@kde.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5screen-dev (>= 4:5.9.4~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libxrandr-dev,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kscreen
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreen
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreen

Package: kscreen
Architecture: any
Depends: kde-cli-tools,
         plasma-framework,
         qml-module-qtgraphicaleffects,
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE monitor hotplug and screen handling
 KScreen provides multiple monitor support.  This support tries to be
 as smart as possible adapting the behavior of it to each use case
 making the configuration of monitors as simple as plugging them into
 your computer.
 .
 This package contains the modules and plugins for monitor hotplug and
 automatic screen handling.

## kscreen 5.10.5

=== debian/changelog ===
kscreen (4:5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:40:05 +0100

kscreen (4:5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:38:03 +0100

kscreen (4:5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:16:36 +0100

kscreen (4:5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:12:56 +0100

kscreen (4:5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:09:41 +0100

kscreen (4:5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:49:58 +0100

kscreen (4:5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:32:11 +0100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
            Rohan Garg <rohan@kde.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5configwidgets-dev (>= 5.31.0~),
-               libkf5dbusaddons-dev (>= 5.31.0~),
-               libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5screen-dev (>= 4:5.9.4~),
-               libkf5widgetsaddons-dev (>= 5.31.0~),
-               libkf5xmlgui-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.36.0~),
+               libkf5config-dev (>= 5.36.0~),
+               libkf5configwidgets-dev (>= 5.36.0~),
+               libkf5dbusaddons-dev (>= 5.36.0~),
+               libkf5globalaccel-dev (>= 5.36.0~),
+               libkf5i18n-dev (>= 5.36.0~),
+               libkf5screen-dev (>= 4:5.10.5~),
+               libkf5widgetsaddons-dev (>= 5.36.0~),
+               libkf5xmlgui-dev (>= 5.36.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libxrandr-dev,
                pkg-kde-tools (>= 0.15.16),

## kscreen 5.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(KScreen)
-set(PROJECT_VERSION "5.5.5")
+set(PROJECT_VERSION "5.12.4")
 
 cmake_minimum_required(VERSION 2.8.12)
 
@@ -17,12 +17,12 @@
 find_package(KF5Screen ${MIN_LIBKSCREEN_VERSION} REQUIRED)
 
 include(KDEInstallDirs)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 include(ECMInstallIcons)
 include(ECMMarkAsTest)
 include(FeatureSummary)
-
+include(ECMQtDeclareLoggingCategory)
 
 add_subdirectory(icons)
 add_subdirectory(kcm)
@@ -31,6 +31,8 @@
 add_subdirectory(tests)
 add_subdirectory(console)
 
+install( FILES kscreen.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 find_package(KF5I18n CONFIG REQUIRED)

=== icons/CMakeLists.txt ===
ecm_install_icons(
    ICONS
        48-actions-kdocumentinfo.png
        sc-actions-kdocumentinfo.svgz
    DESTINATION
        ${KDE_INSTALL_ICONDIR}
    THEME
        hicolor
)

=== plasma/CMakeLists.txt ===
set(applet_SRCS
    kscreenapplet.cpp)

kde4_add_plugin(plasma_applet_kscreen ${applet_SRCS})
target_link_libraries(plasma_applet_kscreen
    ${KDE4_PLASMA_LIBS}
    ${QT_QTDECLARATIVE_LIBRARY}
    ${LibKScreen_LIBRARY}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/plasma-applet-kscreen.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/plasma-applet-kscreen.desktop
               @ONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/package/metadata.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/package/metadata.desktop
               @ONLY)


install(TARGETS plasma_applet_kscreen
        DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma-applet-kscreen.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

install(DIRECTORY package/contents/
        DESTINATION ${DATA_INSTALL_DIR}/plasma/packages/org.kde.plasma.kscreen.qml/contents)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/package/metadata.desktop
        DESTINATION ${DATA_INSTALL_DIR}/plasma/packages/org.kde.plasma.kscreen.qml)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/package/metadata.desktop
        DESTINATION ${SERVICES_INSTALL_DIR}
        RENAME plasma-applet-kscreen-qml.desktop)

=== debian/changelog ===
kscreen (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:53:06 +0100

kscreen (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:49:04 +0000

kscreen (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:42:40 +0000

kscreen (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:12:43 +0000

kscreen (4:5.12.0-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Install new file

  [ Rik Mills ]
  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:50:10 +0000

kscreen (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:38:51 +0000

kscreen (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:14:53 -0600

kscreen (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:58:19 +0000

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
            Rohan Garg <rohan@kde.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.36.0~),
-               libkf5config-dev (>= 5.36.0~),
-               libkf5configwidgets-dev (>= 5.36.0~),
-               libkf5dbusaddons-dev (>= 5.36.0~),
-               libkf5globalaccel-dev (>= 5.36.0~),
-               libkf5i18n-dev (>= 5.36.0~),
-               libkf5screen-dev (>= 4:5.10.5~),
-               libkf5widgetsaddons-dev (>= 5.36.0~),
-               libkf5xmlgui-dev (>= 5.36.0~),
+               extra-cmake-modules (>= 5.42.0~),
+               libkf5config-dev (>= 5.42.0~),
+               libkf5configwidgets-dev (>= 5.42.0~),
+               libkf5dbusaddons-dev (>= 5.42.0~),
+               libkf5globalaccel-dev (>= 5.42.0~),
+               libkf5i18n-dev (>= 5.42.0~),
+               libkf5screen-dev (>= 4:5.12.4~),
+               libkf5widgetsaddons-dev (>= 5.42.0~),
+               libkf5xmlgui-dev (>= 5.42.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libxrandr-dev,
                pkg-kde-tools (>= 0.15.16),

## kscreen 5.12.7

=== debian/changelog ===
kscreen (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:55:25 +0100

kscreen (4:5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:28:50 +0100

kscreen (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:33:58 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libxrandr-dev,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~)
+               qtdeclarative5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/kscreen
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreen
